Skip to content
StatusSupportDashboard

Get download URL

GET/v1/data/{namespace}/requests/{requestId}/results/download-url

Retrieve the status of a data ingestion request and, once complete, a temporary S3 URL for the full result file. This endpoint always uses the URL-based response shape regardless of request size.

Path ParametersExpand Collapse
namespace: string

The namespace the data was ingested into

requestId: string

The request ID returned when the ingest request was created

ReturnsExpand Collapse
data_count: number

Number of processed objects in the request. Null until the request has succeeded.

minimum0
data_expires_at: string

ISO timestamp when data_url expires. Null until the request has succeeded.

data_url: string

Temporary S3 URL for the full request result. Null until the request has succeeded.

namespace: string
request_id: string
status: "queued" or "uploading" or "ingesting" or 2 more

Current processing status of the request

One of the following:
"queued"
"uploading"
"ingesting"
"succeeded"
"failed"

Get download URL

curl https://api.safetykit.com/v1/data/$NAMESPACE/requests/$REQUEST_ID/results/download-url \
    -H "Authorization: Bearer $SAFETYKIT_API_KEY"
{
  "data_count": 237,
  "data_expires_at": "2026-01-15T12:30:00.000Z",
  "data_url": "https://s3.amazonaws.com/...",
  "namespace": "products",
  "request_id": "request_01KHSKHQSYJN4A5P7RRVEXHWE9",
  "status": "succeeded"
}
Returns Examples
{
  "data_count": 237,
  "data_expires_at": "2026-01-15T12:30:00.000Z",
  "data_url": "https://s3.amazonaws.com/...",
  "namespace": "products",
  "request_id": "request_01KHSKHQSYJN4A5P7RRVEXHWE9",
  "status": "succeeded"
}